*** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? *** - Mozilla

This is a discussion on *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? *** - Mozilla ; Dear experts: I have difficulty running Bugzilla on Window Server 2003 My environment is as follows: Perl v5.8.8 build 819 mysql 4.1.21 Apache 2.2 Bugzilla 2.22.1 The error I got is: Software error: Can't locate IO/Wrap.pm in @INC (@INC contains: ...

+ Reply to Thread
Results 1 to 11 of 11

Thread: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

  1. *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    Dear experts:



    I have difficulty running Bugzilla on Window Server 2003



    My environment is as follows:

    Perl v5.8.8 build 819

    mysql 4.1.21

    Apache 2.2

    Bugzilla 2.22.1



    The error I got is:

    Software error:

    Can't locate IO/Wrap.pm in @INC (@INC contains: . C:/Perl/site/lib

    C:/Perl/lib) at C:/Perl/site/lib/MIME/Parser.pm line 134.

    BEGIN failed--compilation aborted at C:/Perl/site/lib/MIME/Parser.pm
    line

    134.

    Compilation failed in require at Bugzilla/BugMail.pm line 46.

    BEGIN failed--compilation aborted at Bugzilla/BugMail.pm line 46.

    Compilation failed in require at Bugzilla/Token.pm line 35.

    BEGIN failed--compilation aborted at Bugzilla/Token.pm line 35.

    Compilation failed in require at Bugzilla/Auth/Login/WWW/CGI.pm line
    38.

    BEGIN failed--compilation aborted at Bugzilla/Auth/Login/WWW/CGI.pm
    line 38.



    For help, please send mail to the webmaster (allenc@tatung.com),

    giving this error message and the time and date of the error.



    Software error:

    [Fri Nov 3 17:10:38 2006] index.cgi: Can't locate IO/Wrap.pm in @INC
    (@INC

    contains: . C:/Perl/site/lib C:/Perl/lib) at
    C:/Perl/site/lib/MIME/Parser.pm

    line 134.

    [Fri Nov 3 17:10:38 2006] index.cgi: BEGIN failed--compilation aborted
    at

    C:/Perl/site/lib/MIME/Parser.pm line 134.

    [Fri Nov 3 17:10:38 2006] index.cgi: Compilation failed in require at

    Bugzilla/BugMail.pm line 46.

    [Fri Nov 3 17:10:38 2006] index.cgi: BEGIN failed--compilation aborted
    at

    Bugzilla/BugMail.pm line 46.

    [Fri Nov 3 17:10:38 2006] index.cgi: Compilation failed in require at

    Bugzilla/Token.pm line 35.

    [Fri Nov 3 17:10:38 2006] index.cgi: BEGIN failed--compilation aborted
    at

    Bugzilla/Token.pm line 35.

    [Fri Nov 3 17:10:38 2006] index.cgi: Compilation failed in require at

    Bugzilla/Auth/Login/WWW/CGI.pm line 38.

    [Fri Nov 3 17:10:38 2006] index.cgi: BEGIN failed--compilation aborted
    at

    Bugzilla/Auth/Login/WWW/CGI.pm line 38.

    Compilation failed in require at Bugzilla/Auth/Login/WWW.pm line 63.





    I got exactly the same error as described in the following site, but
    couldn't see a probable solution, why?

    http://groups.google.com.tw/group/mo...75c1a5c6ac497a



    Below is my module file, and I followed the win32 instruction exactly
    (http://www.bugzilla.org/docs/win32install.html)

    C:\bugzilla>perl checksetup.pl



    Checking perl modules ...

    Checking for AppConfig (v1.52) ok: found v1.63

    Checking for CGI (v2.93) ok: found v3.20

    Checking for Data:umper (any) ok: found v2.121_08

    Checking for Date::Format (v2.21) ok: found v2.22

    Checking for DBI (v1.38) ok: found v1.52

    Checking for File::Spec (v0.84) ok: found v3.12

    Checking for File::Temp (any) ok: found v0.16

    Checking for Template (v2.10) ok: found v2.13

    Checking for Text::Wrap (v2001.0131) ok: found v2005.082401

    Checking for Mail::Mailer (v1.67) ok: found v1.67

    Checking for MIME::Base64 (v3.01) ok: found v3.07

    Checking for MIME::Tools (v5.406) ok: found v5.417

    Checking for Storable (any) ok: found v2.15



    The following Perl modules are optional:

    Checking for GD (v1.20) ok: found v2.16

    Checking for Template::Plugin::GD::Image (any) ok: found v1.55

    Checking for Chart::Base (v1.0) ok: found v2.3

    Checking for XML::Twig (any) ok: found v3.26

    Checking for GD::Graph (any) ok: found v1.43

    Checking for GD::Text::Align (any) ok: found v1.18

    Checking for PatchReader (v0.9.4) ok: found v0.9.5

    Checking for Image::Magick (any) ok: found v6.2.8

    Checking for HTML::Parser (v3.40) ok: found v3.55

    Checking for HTML::Scrubber (any) not found



    All the required modules are available at:

    http://landfill.bugzilla.org/ppm/

    You can add the repository with the following command:

    ppm rep add bugzilla http://landfill.bugzilla.org/ppm/



    If you want additional HTML tags within product and group descriptions,

    you should install:

    HTML::Scrubber: ppm install HTML::Scrubber



    Checking user setup ...

    Removing existing compiled templates ...

    Precompiling templates ...

    Checking for DBD::mysql (v2.9003) ok: found v3.0002

    Checking for MySQL (v4.0.14) ok: found v4.1.21-community-nt



    Building Schema object from database...

    Adding new table bz_schema ...

    Initializing the new Schema storage...

    Adding new table attach_data ...

    Adding new table attachments ...

    Adding new table bug_group_map ...

    Adding new table bug_severity ...

    Adding new table bug_status ...

    Adding new table bugs ...

    Adding new table bugs_activity ...

    Adding new table category_group_map ...

    Adding new table cc ...

    Adding new table classifications ...

    Adding new table components ...

    Adding new table dependencies ...

    Adding new table duplicates ...

    Adding new table email_setting ...

    Adding new table fielddefs ...

    Adding new table flagexclusions ...

    Adding new table flaginclusions ...

    Adding new table flags ...

    Adding new table flagtypes ...

    Adding new table group_control_map ...

    Adding new table group_group_map ...

    Adding new table groups ...

    Adding new table keyworddefs ...

    Adding new table keywords ...

    Adding new table logincookies ...

    Adding new table longdescs ...

    Adding new table milestones ...

    Adding new table namedqueries ...

    Adding new table op_sys ...

    Adding new table priority ...

    Adding new table products ...

    Adding new table profile_setting ...

    Adding new table profiles ...

    Adding new table profiles_activity ...

    Adding new table quips ...

    Adding new table rep_platform ...

    Adding new table resolution ...

    Adding new table series ...

    Adding new table series_categories ...

    Adding new table series_data ...

    Adding new table setting ...

    Adding new table setting_value ...

    Adding new table tokens ...

    Adding new table user_group_map ...

    Adding new table versions ...

    Adding new table votes ...

    Adding new table watch ...

    Adding new table whine_events ...

    Adding new table whine_queries ...

    Adding new table whine_schedules ...

    Converting attach_data maximum size to 100G...

    Inserting value 'P1' in table priority with sortkey 100...

    Inserting value 'P2' in table priority with sortkey 200...

    Inserting value 'P3' in table priority with sortkey 300...

    Inserting value 'P4' in table priority with sortkey 400...

    Inserting value 'P5' in table priority with sortkey 500...

    Inserting value 'UNCONFIRMED' in table bug_status with sortkey 100...

    Inserting value 'NEW' in table bug_status with sortkey 200...

    Inserting value 'ASSIGNED' in table bug_status with sortkey 300...

    Inserting value 'REOPENED' in table bug_status with sortkey 400...

    Inserting value 'RESOLVED' in table bug_status with sortkey 500...

    Inserting value 'VERIFIED' in table bug_status with sortkey 600...

    Inserting value 'CLOSED' in table bug_status with sortkey 700...

    Inserting value 'All' in table rep_platform with sortkey 100...

    Inserting value 'PC' in table rep_platform with sortkey 200...

    Inserting value 'Macintosh' in table rep_platform with sortkey 300...

    Inserting value 'Other' in table rep_platform with sortkey 400...

    Inserting value '' in table resolution with sortkey 100...

    Inserting value 'FIXED' in table resolution with sortkey 200...

    Inserting value 'INVALID' in table resolution with sortkey 300...

    Inserting value 'WONTFIX' in table resolution with sortkey 400...

    Inserting value 'LATER' in table resolution with sortkey 500...

    Inserting value 'REMIND' in table resolution with sortkey 600...

    Inserting value 'DUPLICATE' in table resolution with sortkey 700...

    Inserting value 'WORKSFORME' in table resolution with sortkey 800...

    Inserting value 'MOVED' in table resolution with sortkey 900...

    Inserting value 'blocker' in table bug_severity with sortkey 100...

    Inserting value 'critical' in table bug_severity with sortkey 200...

    Inserting value 'major' in table bug_severity with sortkey 300...

    Inserting value 'normal' in table bug_severity with sortkey 400...

    Inserting value 'minor' in table bug_severity with sortkey 500...

    Inserting value 'trivial' in table bug_severity with sortkey 600...

    Inserting value 'enhancement' in table bug_severity with sortkey 700...

    Inserting value 'All' in table op_sys with sortkey 100...

    Inserting value 'Windows' in table op_sys with sortkey 200...

    Inserting value 'Mac OS' in table op_sys with sortkey 300...

    Inserting value 'Linux' in table op_sys with sortkey 400...

    Inserting value 'Other' in table op_sys with sortkey 500...

    Creating initial dummy product 'TestProduct' ...

    Populating duplicates table...

    Migrating old chart data into database ...

    Initializing "Dependency Tree Changes" email_setting ...

    Adding group tweakparams ...

    Adding group editusers ...

    Adding group creategroups ...

    Adding group editclassifications ...

    Adding group editcomponents ...

    Adding group editkeywords ...

    Adding group admin ...

    Adding group editbugs ...

    Adding group canconfirm ...

    Adding group bz_canusewhines ...

    Adding group bz_canusewhineatothers ...

    Adding group bz_sudoers ...

    Adding group bz_sudo_protect ...

    Adding a new user setting called 'display_quips'

    Adding a new user setting called 'comment_sort_order'

    Adding a new user setting called 'post_bug_submit_action'

    Adding a new user setting called 'csv_colsepchar'

    Adding a new user setting called 'per_bug_queries'



    Looks like we don't have an administrator set up yet.

    Either this is your first time using Bugzilla, or your

    administrator's privileges might have accidentally been deleted.

    Enter the e-mail address of the administrator: allenc@tatung.com

    You entered allenc@tatung.com. Is this correct? [Y/n] y

    Enter the real name of the administrator: Allen Chang

    Enter a password for the administrator account: xxxxxxxxxx



    Please retype the password to verify: xxxxxxxxx



    allenc@tatung.com is now set up as an administrator account.

    Now that you have installed Bugzilla, you should visit the

    'Parameters' page (linked in the footer of the Administrator

    account) to ensure it is set up as you wish - this includes

    setting the 'urlbase' option to the correct url.



    C:\bugzilla>testserver.pl http://localhost:8080

    TEST-OK Got front picture.

    TEST-OK Webserver is executing CGIs.

    TEST-OK Webserver is preventing fetch of
    http://localhost:8080/localconfig.

    TEST-OK GD library generated a good PNG image.

    TEST-OK Chart library generated a good PNG image.

    TEST-OK Template::Plugin::GD is installed.



    Almost everything looks good, is that due to Apache permission problem
    or lack of perl module?



    Best Regards,

    Allen


  2. Re: *** Urgent,Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... couldsomeone help me? ***

    Allen,

    9 Nov 2006 06:28:25 -0800, iamrichperson@gmail.com :
    > Can't locate IO/Wrap.pm in @INC (@INC contains: . C:/Perl/site/lib


    this seems to have happened to a couple of people, from what
    http://groups.google.com/group/mozil...locate+wrap.pm
    tells me, and nobody of them returned here with a solution yet.

    Regards
    Marc

  3. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***


    I have found the solution to this problem myself.....
    It is due to incorrect version of perl

    It was implied by the installation document
    (http://www.bugzilla.org/docs/win32install.html) that any ActiveState
    Perl 5.8.1 or "Higher" is OK

    So at the beginning I used ActivePerl v5.8.8 build 819, that's why I
    got the "Can't locate IO/Wrap.pm in @INC ERROR .... line 134" error

    After I reinstall to "ActivePerl 5.8.1.807", everything works fine now
    .... I guess it is just due to the library structure under
    "DRIVE:\Perl\lib" is partially different between the theses two perl
    versions.

    -Allen


  4. Re: *** Urgent,Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... couldsomeone help me? ***

    Allen,

    10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > I have found the solution to this problem myself.....
    > It is due to incorrect version of perl


    thanks for getting back here with the solution!

    Kind regards
    Marc

  5. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    I've installed the version 5.8.4 but i still have the problem !?

    (http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)

    Marc Schumann a écrit :

    > Allen,
    >
    > 10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > > I have found the solution to this problem myself.....
    > > It is due to incorrect version of perl

    >
    > thanks for getting back here with the solution!
    >
    > Kind regards
    > Marc



  6. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    I've installed the version 5.8.4 but i still have the problem !?

    (http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)

    Marc Schumann a écrit :

    > Allen,
    >
    > 10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > > I have found the solution to this problem myself.....
    > > It is due to incorrect version of perl

    >
    > thanks for getting back here with the solution!
    >
    > Kind regards
    > Marc



  7. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    similar with the version 5.8.1.807

    last chance with 5.8.7.813 as used in
    http://www.bugzilla.org/docs/win32install.html


    crashtete-toot@yahoo.fr a écrit :

    > I've installed the version 5.8.4 but i still have the problem !?
    >
    > (http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)
    >
    > Marc Schumann a écrit :
    >
    > > Allen,
    > >
    > > 10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > > > I have found the solution to this problem myself.....
    > > > It is due to incorrect version of perl

    > >
    > > thanks for getting back here with the solution!
    > >
    > > Kind regards
    > > Marc



  8. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    Ok it's work !!

    I've installed 5.8.1.807. But I've still got the error so I installed
    two other modules : IO-stringy-2.110 and Text-Tabs+Wrap-2006.1117. Now
    it work !!

    Maybe it was the same pb with other versions.

    PS: sorry for my english, I'm french.


    bye.

    crashtete-toot@yahoo.fr a écrit :

    > similar with the version 5.8.1.807
    >
    > last chance with 5.8.7.813 as used in
    > http://www.bugzilla.org/docs/win32install.html
    >
    >
    > crashtete-toot@yahoo.fr a écrit :
    >
    > > I've installed the version 5.8.4 but i still have the problem !?
    > >
    > > (http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)
    > >
    > > Marc Schumann a écrit :
    > >
    > > > Allen,
    > > >
    > > > 10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > > > > I have found the solution to this problem myself.....
    > > > > It is due to incorrect version of perl
    > > >
    > > > thanks for getting back here with the solution!
    > > >
    > > > Kind regards
    > > > Marc



  9. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INCERROR)... could someone help me? ***

    Could you tell us why you just choose to install those 2 modules ?

    And, if possible, could you check if that was the same problem with the
    other versions?

    It would help us to improve the Bugzilla:FAQ:Software_Matrix page.



    crashtete-toot@yahoo.fr wrote:
    > Ok it's work !!
    >
    > I've installed 5.8.1.807. But I've still got the error so I installed
    > two other modules : IO-stringy-2.110 and Text-Tabs+Wrap-2006.1117. Now
    > it work !!
    >
    > Maybe it was the same pb with other versions.
    >
    > PS: sorry for my english, I'm french.
    >
    >
    > bye.
    >
    > crashtete-toot@yahoo.fr a écrit :
    >
    >
    >> similar with the version 5.8.1.807
    >>
    >>last chance with 5.8.7.813 as used in
    >>http://www.bugzilla.org/docs/win32install.html
    >>
    >>
    >>crashtete-toot@yahoo.fr a écrit :
    >>
    >>
    >>>I've installed the version 5.8.4 but i still have the problem !?
    >>>
    >>>(http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)
    >>>
    >>>Marc Schumann a écrit :
    >>>
    >>>
    >>>>Allen,
    >>>>
    >>>>10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    >>>>
    >>>>>I have found the solution to this problem myself.....
    >>>>>It is due to incorrect version of perl
    >>>>
    >>>>thanks for getting back here with the solution!
    >>>>
    >>>> Kind regards
    >>>> Marc

    >
    >


  10. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    Hi there,
    I'm trying to install Bugzilla 2.22.1 on Windows 2003 using ActivePerl
    5.8.8, and also encountered this issue. And aftering checking this
    message, I tried to downgrade to 5.8.1, the installation/configuraton
    using checksetup.pl did not complain any problem after installing all
    required perl modules. After that, when I tried to access the bugzilla
    site on my server (e.g. localhost:8099), it failed:

    1. If using Firefox to access:
    Forbidden
    You don't have permission to access /index.cgi on this server.
    2. If using IE to access:
    Software error:
    Can't locate IO/Lines.pm in @INC (@INC contains: . C:/Perl/lib
    C:/Perl/site/lib) at C:/Perl/site/lib/MIME/Parser.pm line 137.
    BEGIN failed--compilation aborted at C:/Perl/site/lib/MIME/Parser.pm
    line 137.
    Compilation failed in require at Bugzilla/BugMail.pm line 46.
    BEGIN failed--compilation aborted at Bugzilla/BugMail.pm line 46.
    Compilation failed in require at Bugzilla/Token.pm line 35.
    BEGIN failed--compilation aborted at Bugzilla/Token.pm line 35.
    Compilation failed in require at Bugzilla/Auth/Login/WWW/CGI.pm line
    38.
    BEGIN failed--compilation aborted at Bugzilla/Auth/Login/WWW/CGI.pm
    line 38.

    For help, please send mail to the webmaster (admin@yahoo.com), giving
    this error message and the time and date of the error.

    Software error:
    [Wed Jan 24 11:48:17 2007] index.cgi: Can't locate IO/Lines.pm in @INC
    (@INC contains: . C:/Perl/lib C:/Perl/site/lib) at
    C:/Perl/site/lib/MIME/Parser.pm line 137.
    [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    at C:/Perl/site/lib/MIME/Parser.pm line 137.
    [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    Bugzilla/BugMail.pm line 46.
    [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    at Bugzilla/BugMail.pm line 46.
    [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    Bugzilla/Token.pm line 35.
    [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    at Bugzilla/Token.pm line 35.
    [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    Bugzilla/Auth/Login/WWW/CGI.pm line 38.
    [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    at Bugzilla/Auth/Login/WWW/CGI.pm line 38.
    Compilation failed in require at Bugzilla/Auth/Login/WWW.pm line 63.

    For help, please send mail to the webmaster (admin@yahoo.com), giving
    this error message and the time and date of the error.

    Can anybody share with me your solution/insight on this? Thanks in
    advance!


    nospam@nospam.co.uk wrote:
    > Could you tell us why you just choose to install those 2 modules ?
    >
    > And, if possible, could you check if that was the same problem with the
    > other versions?
    >
    > It would help us to improve the Bugzilla:FAQ:Software_Matrix page.
    >
    >
    >
    > crashtete-toot@yahoo.fr wrote:
    > > Ok it's work !!
    > >
    > > I've installed 5.8.1.807. But I've still got the error so I installed
    > > two other modules : IO-stringy-2.110 and Text-Tabs+Wrap-2006.1117. Now
    > > it work !!
    > >
    > > Maybe it was the same pb with other versions.
    > >
    > > PS: sorry for my english, I'm french.
    > >
    > >
    > > bye.
    > >
    > > crashtete-toot@yahoo.fr a écrit :
    > >
    > >
    > >> similar with the version 5.8.1.807
    > >>
    > >>last chance with 5.8.7.813 as used in
    > >>http://www.bugzilla.org/docs/win32install.html
    > >>
    > >>
    > >>crashtete-toot@yahoo.fr a écrit :
    > >>
    > >>
    > >>>I've installed the version 5.8.4 but i still have the problem !?
    > >>>
    > >>>(http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)
    > >>>
    > >>>Marc Schumann a écrit :
    > >>>
    > >>>
    > >>>>Allen,
    > >>>>
    > >>>>10 Nov 2006 21:04:15 -0800, iamrichperson@gmail.com :
    > >>>>
    > >>>>>I have found the solution to this problem myself.....
    > >>>>>It is due to incorrect version of perl
    > >>>>
    > >>>>thanks for getting back here with the solution!
    > >>>>
    > >>>> Kind regards
    > >>>> Marc

    > >
    > >



  11. Re: *** Urgent, Bugzilla Newbie (Can't locate IO/Wrap.pm in @INC ERROR)... could someone help me? ***

    all,
    the problem has been resolved. thanks!

    On 24 jan, 18:17, suli...@yahoo.com wrote:
    > Hi there,
    > I'm trying to install Bugzilla 2.22.1 on Windows 2003 using ActivePerl
    > 5.8.8, and also encountered this issue. And aftering checking this
    > message, I tried to downgrade to 5.8.1, the installation/configuraton
    > using checksetup.pl did not complain any problem after installing all
    > required perl modules. After that, when I tried to access the bugzilla
    > site on my server (e.g. localhost:8099), it failed:
    >
    > 1. If using Firefox to access:
    > Forbidden
    > You don't have permission to access /index.cgi on this server.
    > 2. If using IE to access:
    > Software error:
    > Can't locate IO/Lines.pm in @INC (@INC contains: . C:/Perl/lib
    > C:/Perl/site/lib) at C:/Perl/site/lib/MIME/Parser.pm line 137.
    > BEGIN failed--compilation aborted at C:/Perl/site/lib/MIME/Parser.pm
    > line 137.
    > Compilation failed in require at Bugzilla/BugMail.pm line 46.
    > BEGIN failed--compilation aborted at Bugzilla/BugMail.pm line 46.
    > Compilation failed in require at Bugzilla/Token.pm line 35.
    > BEGIN failed--compilation aborted at Bugzilla/Token.pm line 35.
    > Compilation failed in require at Bugzilla/Auth/Login/WWW/CGI.pm line
    > 38.
    > BEGIN failed--compilation aborted at Bugzilla/Auth/Login/WWW/CGI.pm
    > line 38.
    >
    > For help, please send mail to the webmaster (a...@yahoo.com), giving
    > this error message and the time and date of the error.
    >
    > Software error:
    > [Wed Jan 24 11:48:17 2007] index.cgi: Can't locate IO/Lines.pm in @INC
    > (@INC contains: . C:/Perl/lib C:/Perl/site/lib) at
    > C:/Perl/site/lib/MIME/Parser.pm line 137.
    > [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    > at C:/Perl/site/lib/MIME/Parser.pm line 137.
    > [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    > Bugzilla/BugMail.pm line 46.
    > [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    > at Bugzilla/BugMail.pm line 46.
    > [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    > Bugzilla/Token.pm line 35.
    > [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    > at Bugzilla/Token.pm line 35.
    > [Wed Jan 24 11:48:17 2007] index.cgi: Compilation failed in require at
    > Bugzilla/Auth/Login/WWW/CGI.pm line 38.
    > [Wed Jan 24 11:48:17 2007] index.cgi: BEGIN failed--compilation aborted
    > at Bugzilla/Auth/Login/WWW/CGI.pm line 38.
    > Compilation failed in require at Bugzilla/Auth/Login/WWW.pm line 63.
    >
    > For help, please send mail to the webmaster (a...@yahoo.com), giving
    > this error message and the time and date of the error.
    >
    > Can anybody share with me your solution/insight on this? Thanks in
    > advance!
    >
    > nos...@nospam.co.uk wrote:
    > > Could you tell us why you just choose to install those 2 modules ?

    >
    > > And, if possible, could you check if that was the same problem with the
    > > other versions?

    >
    > > It would help us to improve the Bugzilla:FAQ:Software_Matrix page.

    >
    > > crashtete-t...@yahoo.fr wrote:
    > > > Ok it's work !!

    >
    > > > I've installed 5.8.1.807. But I've still got the error so I installed
    > > > two other modules : IO-stringy-2.110 and Text-Tabs+Wrap-2006.1117. Now
    > > > it work !!

    >
    > > > Maybe it was the same pb with other versions.

    >
    > > > PS: sorry for my english, I'm french.

    >
    > > > bye.

    >
    > > > crashtete-t...@yahoo.fr a écrit :

    >
    > > >> similar with the version 5.8.1.807

    >
    > > >>last chance with 5.8.7.813 as used in
    > > >>http://www.bugzilla.org/docs/win32install.html

    >
    > > >>crashtete-t...@yahoo.fr a écrit :

    >
    > > >>>I've installed the version 5.8.4 but i still have the problem !?

    >
    > > >>>(http://wiki.mozilla.org/Bugzilla:FAQ...re_Matrix#Perl)

    >
    > > >>>Marc Schumann a écrit :

    >
    > > >>>>Allen,

    >
    > > >>>>10 Nov 2006 21:04:15 -0800, iamrichper...@gmail.com :

    >
    > > >>>>>I have found the solution to this problem myself.....
    > > >>>>>It is due to incorrect version of perl

    >
    > > >>>>thanks for getting back here with the solution!

    >
    > > >>>> Kind regards
    > > >>>> Marc



+ Reply to Thread